program xyz2config
 implicit none
 character(len=2) :: symbol
 real :: x, y, z
 integer :: n, i
 n = 0
 do i = 1, 1000000
   n = n+1
   read(5,*,end=1) symbol, x, y, z
   write(*,'(a,i16)') symbol, n
   write(*,'(3(f16.9,4x))') x, y, z
 end do
1 continue
end program xyz2config
